---

- name: create application directory
  file:
    path: "{{remote_path}}"
    state: directory
- name: create config directory
  file:
    path: "{{remote_path}}/config"
    state: directory

- name: create docker compose yaml
  template:
    src: docker-compose.yaml.j2
    dest: "{{remote_path}}/docker-compose.yaml"

- name: create suite config
  copy:
    content: "{{ rps_groups_interface_suite_config | to_nice_json }}"
    dest: "{{remote_path}}/config/config.json"

- name: deploy docker-compose stack
  docker_compose:
    project_src: "{{remote_path}}/"
    files: "docker-compose.yaml"
    build: true
    pull: true
    recreate: always
    remove_orphans: true

- import_tasks: keycloak_client.yaml

- name: delete obsolete traefik dynamic config
  file:
    path: "/srv/traefik/conf.d/rps-groups-interface.yaml"
    state: absent

- name: traefik dynamic config
  copy:
    content: "{{ rps_groups_interface_traefik_dynamic_config | to_nice_yaml(indent=2, width=777) }}"
    dest: "/srv/traefik/conf.d/{{ rps_groups_interface_service_name }}.yaml"
